DATE(1)

NOM
date - Afficher ou configurer la date et l'heure du système

SYNOPSIS
date [OPTION] ... [+FORMAT]
date [-u|--utc|--universal] [MMJJhhmm[[CC]AA][.ss]]

DESCRIPTION

Afficher dans le FORMAT indiqué ou configurer la date et l'heure du système.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-d, --date=CHAÎNE
    afficher la date indiquée dans CHAÎNE plutôt que la date actuelle

-f, --file=FICHIER_DATE
    équivalent à --date pour chaque ligne de FICHIER_DATE

-I[SPÉC_DATE, --iso-8601[=SPÉC_DATE]
    afficher la date et l'heure au format ISO 8601. SPÉC_DATE peut être « date » pour n'afficher que la date (par défaut), « hours » pour afficher l'heure en plus de la date, « minutes » pour afficher en plus les minutes, « seconds » pour afficher en plus les secondes, ou « ns » pour afficher en plus les nanosecondes.

-r, --reference=FICHIER
    afficher la date de dernière modification de FICHIER

-R, --rfc-2822
    afficher la date dans un format conforme aux spécifications RFC-2822 (en anglais). Par exemple : Mon, 07 Aug 2006 12:34:56 -0600

--rfc-3339=SPÉC_DATE
    afficher la date et l'heure dans un format conforme aux spécifications RFC-3339. SPÉC_DATE = « date », « seconds » ou « ns » pour indiquer la précision souhaitée. Les parties date et heure sont séparées par une seule espace : 2006-08-07 12:34:56-06:00

-s, --set=CHAÎNE
    initialiser la date d'après la CHAÎNE fournie

-u, --utc, --universal
    afficher ou initialiser selon le système de temps universel (UTC)

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

FORMAT contrôle la sortie. Les séquences interprétées sont :

%%  caractère %

%a  nom abrégé, conformément aux paramètres régionaux, des jours de la semaine (par exemple dim.)

%A  nom complet, conformément aux paramètres régionaux, de la semaine (par exemple dimanche)

%b  nom abrégé, conformément aux paramètres régionaux, des mois (par exemple janv.)

%B  nom complet, conformément aux paramètres régionaux, des mois (par exemple janvier)

%c  date et heure, conformément aux paramètres régionaux (« jeu. 15 déc. 2005 22:13:08 CET »)

%C  siècle ; équivalent à %Y, mais en ôtant les deux derniers chiffres (par exemple 20 pour 2005)

%d  quantième du jour dans le mois (par exemple 01)

%D  date ; équivalent à « %m/%d/%y »

%e  quantième du jour dans le mois, complété à gauche par un blanc ( 1..31) ; identique à « %_d »

%F  date complète ; identique à « %Y-%m-%d »

%g  deux derniers chiffres de l'année correspondant à la semaine représentée par son numéro ISO (consultez %G)

%G  année correspondant à la semaine représentée par son numéro ISO (consultez %V) ; utile normalement seulement en combinaison avec %V

%h  équivalent à %b

%H  heure (00..23)

%I  heure (01..12)

%j  quantième du jour dans l'année (001..366)

%k  heure, complétée à gauche par un blanc ( 0..23) ; identique à « %_H »

%l  heure, complétée à gauche par un blanc ( 1..12) ; identique à « %_I »

%m  mois (01..12)

%M  minute (00..59)

%n  saut de ligne

%N  nanosecondes (000000000..999999999)

%p  indicateur régional AM ou PM en majuscules (blanc si inconnu)

%P  équivalent à %p mais en minuscules

%r  heure en format 12 heures (« hh:mm:ss [AP]M »)

%R  heure format 24 heures (« hh:mm »)

%s  nombre de secondes depuis « 00:00:00 1970-01-01 UTC »

%S  secondes (00..60)

%t  tabulation

%T  heure, équivalent à « %H:%M:%S »

%u  quantième du jour dans la semaine (1..7) ; « 1 » représente le lundi

%U  quantième de la semaine dans l'année, dimanche considéré comme premier jour de la semaine (00..53)

%V  numéro ISO de semaine, lundi considéré comme premier jour de la semaine (01..53)

%w  quantième du jour dans la semaine (0..6); « 0 » représente le dimanche

%W  quantième de la semaine dans l'année, lundi considéré comme premier jour de la semaine (00..53)

%x  représentation de la date conforme aux paramètres régionaux (par exemple 31/12/1999)

%X  représentation de l'heure conforme aux paramètres régionaux (« %%H:%%M:%%S »)

%y  deux derniers chiffres de l'année (00..99)

%Y  année

%z  fuseau horaire numérique « +hhmm » (par exemple « +0200 »)

%:z fuseau horaire numérique « +hh:mm » (par exemple « +02:00 »)

%::z
    fuseau horaire numérique « +hh:mm:ss » (par exemple -04:00:00)

%:::z
    fuseau horaire numérique utilisant « : » pour afficher la précision nécessaire (par exemple -04, +05:30)

%Z  abréviation du fuseau horaire sous forme alphabétique (par exemple EDT)

Par défaut, date complète les champs numériques avec des zéros. Le « % » peut être suivi d'un des indicateurs optionnels suivants :

-   (trait d'union) ne pas compléter le champ

_   (soulignement) compléter avec des espaces

0   (zéro) compléter avec des zéros

^   utiliser des lettres majuscules si possible

#   utiliser la casse inversée si possible

Chaque indicateur peut être suivi d'un attribut largeur optionnel puis d'un commutateur optionnel qui peut être :
 « E » pour utiliser la mise en forme régionale si disponible
 « 0 » pour utiliser les symboles numériques régionaux si disponibles

EXEMPLES
Convertir un nombre de secondes depuis le 01/01/1970 UTC en date

    $ date --date='@2147483647'

Afficher l'heure de la côte ouest des États-Unis (utilisez tzselect(1) pour trouver TZ)

    $ TZ='America/Los_Angeles' date

Afficher l'heure locale équivalente à 9 heures vendredi prochain sur la côte ouest des États-Unis

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

CHAÎNE DES DATES
Le format de --date=CHAÎNE est peu contraint et lisible, comme par exemple « Sun, 29 Feb 2004 16:21:42 -0800 » ou « 2004-02-29 16:21:42 » ou même « next Thursday ». Une chaîne de date peut contenir des éléments indiquant la date, l'heure, le fuseau horaire, le jour de la semaine, un temps relatif, une date relative et des nombres. Une chaîne vide indique le début du jour. Le format de la chaîne de date est plus complexe que ce qui peut être facilement documenté ici, mais est complètement décrit dans la documentation info.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de date à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/date>
aussi disponible localement à l’aide de la commande : info '(coreutils) date invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Guilhelm Panaget <guilhelm DOT panaget AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.